org.keycloak.models.map.authorization

## Class MapAuthorizationStore

- java.lang.Object
- - org.keycloak.models.map.authorization.MapAuthorizationStore

- All Implemented Interfaces:
    StoreFactory, Provider

      public class MapAuthorizationStore
      extends Object
      implements StoreFactory

  Author:
    mhajas

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapAuthorizationStore(KeycloakSession session, MapStorage permissionTicketStore, MapStorage policyStore, MapStorage resourceServerStore, MapStorage resourceStore, MapStorage scopeStore, AuthorizationProvider provider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `PermissionTicketStore` | `getPermissionTicketStore()` Returns a `PermissionTicketStore`.
    `PolicyStore` | `getPolicyStore()` Returns a `PolicyStore`.
    `ResourceServerStore` | `getResourceServerStore()` Returns a `ResourceServerStore`.
    `ResourceStore` | `getResourceStore()` Returns a `ResourceStore`.
    `ScopeStore` | `getScopeStore()` Returns a `ScopeStore`.
    `boolean` | `isReadOnly()` Indicates if instances returned from storage are read-only.
    `void` | `setReadOnly(boolean readOnly)` Sets whether or not changes to instances returned from this factory are supported.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapAuthorizationStore

          public MapAuthorizationStore(KeycloakSession session,
                                       MapStorage permissionTicketStore,
                                       MapStorage policyStore,
                                       MapStorage resourceServerStore,
                                       MapStorage resourceStore,
                                       MapStorage scopeStore,
                                       AuthorizationProvider provider)

  - ### Method Detail

    - #### getResourceStore

          public ResourceStore getResourceStore()

      Description copied from interface: `StoreFactory`
      Returns a `ResourceStore`.
      Specified by:
        `getResourceStore` in interface `StoreFactory`
      Returns:
        the resource store

    - #### getResourceServerStore

          public ResourceServerStore getResourceServerStore()

      Description copied from interface: `StoreFactory`
      Returns a `ResourceServerStore`.
      Specified by:
        `getResourceServerStore` in interface `StoreFactory`
      Returns:
        the resource server store

    - #### getScopeStore

          public ScopeStore getScopeStore()

      Description copied from interface: `StoreFactory`
      Returns a `ScopeStore`.
      Specified by:
        `getScopeStore` in interface `StoreFactory`
      Returns:
        the scope store

    - #### getPolicyStore

          public PolicyStore getPolicyStore()

      Description copied from interface: `StoreFactory`
      Returns a `PolicyStore`.
      Specified by:
        `getPolicyStore` in interface `StoreFactory`
      Returns:
        the policy store

    - #### getPermissionTicketStore

          public PermissionTicketStore getPermissionTicketStore()

      Description copied from interface: `StoreFactory`
      Returns a `PermissionTicketStore`.
      Specified by:
        `getPermissionTicketStore` in interface `StoreFactory`
      Returns:
        the permission ticket store

    - #### setReadOnly

          public void setReadOnly(boolean readOnly)

      Description copied from interface: `StoreFactory`
      Sets whether or not changes to instances returned from this factory are supported. Once marked as read-only, any attempt to change state will throw an `IllegalStateException`.
      Specified by:
        `setReadOnly` in interface `StoreFactory`
      Parameters:
        `readOnly` - if true, changes are not supported

    - #### isReadOnly

          public boolean isReadOnly()

      Description copied from interface: `StoreFactory`
      Indicates if instances returned from storage are read-only.
      Specified by:
        `isReadOnly` in interface `StoreFactory`
      Returns:
        if true, instances only support reads.

    - #### close

          public void close()

      Specified by:
        `close` in interface `Provider`

Copyright © 2021 JBoss by Red Hat. All rights reserved.